Bug 1686008 - "clipboard: unexpected selection type x-special/gnome-copied-files" errors in journal
Summary: "clipboard: unexpected selection type x-special/gnome-copied-files" errors in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: spice-vdagent
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Victor Toso
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 14:22 UTC by Radek Duda
Modified: 2019-08-06 13:07 UTC (History)
4 users (show)

Fixed In Version: spice-vdagent-0.14.0-18.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:07:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2229 None None None 2019-08-06 13:07:50 UTC

Description Radek Duda 2019-03-06 14:22:21 UTC
Description of problem:
"clipboard: unexpected selection type x-special/gnome-copied-files" appears in journal log when remote-viewer window goes to focus.

Version-Release number of selected component (if applicable):
spice-vdagent-0.14.0-16.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Connect to rhel7.7 VM by remote-viewer
2. Click on desktop of client (this will un-focus remote-viewer)
3. click (or alt+tab) to focus remote-viewer window again

Actual results:
Mar 06 15:20:28 localhost.localdomain nautilus-deskto[4469]: g_simple_action_set_enabled: assertion 'G_IS_SIMPLE_ACTION (simple)' failed
Mar 06 15:20:28 localhost.localdomain spice-vdagent[4468]: clipboard: unexpected selection type x-special/gnome-copied-files
Mar 06 15:20:28 localhost.localdomain nautilus-deskto[4469]: g_simple_action_set_enabled: assertion 'G_IS_SIMPLE_ACTION (simple)' failed
Mar 06 15:20:28 localhost.localdomain spice-vdagent[4468]: clipboard: unexpected selection type x-special/gnome-copied-files
Mar 06 15:20:28 localhost.localdomain spice-vdagent[4468]: clipboard: unexpected selection type x-special/gnome-copied-files
Mar 06 15:20:28 localhost.localdomain spice-vdagent[4468]: clipboard: unexpected selection type x-special/gnome-copied-files

appears in journal log

Expected results:
no error in journal

Comment 2 Victor Toso 2019-03-06 14:52:18 UTC
> VSELPRINTF("unexpected selection type %s",
>            vdagent_x11_get_atom_name(x11, target));

The macro is defined as:

> #define VSELPRINTF(format, ...) \
>      do { \
>          if (x11->debug) { \
>              syslog(LOG_DEBUG, "%s: " format, \
>                      vdagent_x11_sel_to_str(selection), ##__VA_ARGS__); \
>          } \
>      } while (0)

The x11->debug is set if you are running spice-vdagent with -d, is that correct in your environment?

It is a bit too verbose indeed but it shows clipboard metadata that we are not handling from X11.

Comment 3 Radek Duda 2019-03-06 15:47:58 UTC
I did not run spice-vdagentd with -d argument
[root@localhost sysconfig]# systemctl status spice-vdagentd
● spice-vdagentd.service - Agent daemon for Spice guests
   Loaded: loaded (/usr/lib/systemd/system/spice-vdagentd.service; indirect; vendor preset: enabled)
   Active: active (running) since Wed 2019-03-06 16:46:30 CET; 2s ago
  Process: 4796 ExecStart=/usr/sbin/spice-vdagentd $SPICE_VDAGENTD_EXTRA_ARGS (code=exited, status=0/SUCCESS)
 Main PID: 4797 (spice-vdagentd)
    Tasks: 1
   CGroup: /system.slice/spice-vdagentd.service
           └─4797 /usr/sbin/spice-vdagentd

Comment 4 Victor Toso 2019-04-01 08:45:01 UTC
(In reply to Radek Duda from comment #3)
> I did not run spice-vdagentd with -d argument
...
>   Process: 4796 ExecStart=/usr/sbin/spice-vdagentd $SPICE_VDAGENTD_EXTRA_ARGS (code=exited, status=0/SUCCESS)

Perhaps you have SPICE_VDAGENTD_EXTRA_ARGS set to -d in /etc/sysconfig/spice-vdagentd ?
If yes, I'd keep the behavior and close this bug otherwise I'll need to check how x11->debug (comment #2) is set to true without explicit debug configuration.

Comment 5 Radek Duda 2019-04-01 11:59:49 UTC
no I did not set SPICE_VDAGENTD_EXTRA_ARGS to -d . I double-checked it before. You can try it yourself it is not so hard to reproduce.

Comment 6 Victor Toso 2019-04-08 09:14:54 UTC
Sorry Radek, you are right. I was looking in the code upstream which this is fixed.

Just for reference, this was fixed for Fedora at Bug 918310 with commit:

commit d39230cee236bc6b8b150c7687d49a46f519bd2b                                                                                                                                               
Author: Hans de Goede <hdegoede@redhat.com>                                                                                                                                                   
Date:   Tue Aug 13 12:19:54 2013 +0200                                                                                                                                                        
                                                                                                                                                                                              
    vdagent-x11: Turn some error messages into debugging messages (rhbz#918310)                                                                                                               
                                                                                                                                                                                              
    Some bad clients, ie autocutsel, don't stick to the icccm spec, causing us to                                                                                                             
    flood the logs with error messages, turn these into debug messages instead,                                                                                                               
    so that they are only shown when debuggging / verbose logging is turned on.                                                                                                               
                                                                                                                                                                                              
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>


Moving to POST, setting devel_ack+

Comment 8 Tomas Pelka 2019-06-25 09:21:03 UTC
Radku could you please verify this bz.

Thanks
-Tom

Comment 12 errata-xmlrpc 2019-08-06 13:07:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2229


Note You need to log in before you can comment on or make changes to this bug.